Subject: Re: [hybi] Some comments on draft-ietf-hybi-thewebsocketprotocol-03.txt

From: Greg Wilkins <[email-masked]>
Date: Tue, 2 Nov 2010 12:46:10 +1100

Zhong,

2010/10/30 Zhong Yu <[email-masked]>:
> If the next handshake protocol still looks like HTTP, is it possible that a
> new/dedicated HTTP method is used instead of GET, like WEBSOCKET?

In the "Refinement of draft upgrade handshake" thread, I have just
posted a proposal
that includes using the WEBSOCKET method.

However, I have made it optional, so that a client can use a method
like GET or a POST if it
is able to handle a normal response to the GET, POST etc. if the
server or intermediaries do
not accept the upgrade.

If the client will not handle a normal response, then the WEBSOCKET
method should be
used.

cheers